## packagesearch 2.7.10

=== debian/changelog ===
packagesearch (2.7.10) unstable; urgency=medium

  * fixed build because of included Makefile 

 -- Benjamin Mesing <ben@debian.org>  Fri, 19 Oct 2018 21:50:28 +0200

packagesearch (2.7.9) unstable; urgency=medium

  * fixed build because of CHAR_WIDTH

 -- Benjamin Mesing <ben@debian.org>  Fri, 28 Sep 2018 16:32:54 +0200

packagesearch (2.7.8) unstable; urgency=medium

  * fix build for non-amd64, second try

 -- Benjamin Mesing <ben@debian.org>  Sat, 04 Nov 2017 19:52:14 +0100

packagesearch (2.7.7) unstable; urgency=medium

  * fix build on QT5 (Closes: #880356)

 -- Benjamin Mesing <ben@debian.org>  Wed, 01 Nov 2017 21:35:41 +0100

packagesearch (2.7.6) unstable; urgency=low

  * updated to QT5, Closes: #875079
  * do not show short description in long description field

 -- Benjamin Mesing <ben@debian.org>  Sun, 01 Oct 2017 22:49:32 +0200
