=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <ben@debian.org>
Build-Depends: debhelper (>= 10.8), libept-dev (>= 1.0.9), libept-dev (<< 2), qtbase5-dev, qttools5-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
Standards-Version: 4.1.0
Vcs-Git: https://git.code.sf.net/p/packagesearch/git

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), debtags (>= 1.6.1), apt-xapian-index, xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including screenshots and the files within a package.
 .
 It is possible to install or remove packages.
