=== debian/changelog ===
packagesearch (2.7.11) unstable; urgency=medium

  *  Prepare for QT5.12, Closes: #930678 

 -- Benjamin Mesing <ben@debian.org>  Thu, 04 Jul 2019 19:03:41 +0200
