## packagesearch 2.7.11build1

=== debian/changelog ===
packagesearch (2.7.11build1) focal; urgency=high

  * No change rebuild against apt 1.9.11.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 27 Feb 2020 21:23:43 +0100
