=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Benjamin Mesing <ben@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
 Build-Depends: debhelper (>= 10.8), libept-dev (>= 1.0.9), libept-dev (<< 2), qtbase5-dev, qttools5-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
 Standards-Version: 4.1.0
 Vcs-Git: https://git.code.sf.net/p/packagesearch/git
