## packagesearch 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# set the project name
project(packagesearch)


find_package(Qt6 REQUIRED COMPONENTS Core)

# specify the C++ standard
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

if ($ENV{PACKAGESEARCH_BUILD_TYPE} MATCHES "release") 
    message(STATUS "Configuring relase build")
else()
    message(STATUS "Configuring debug build")
    add_compile_definitions(__DEBUG)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_standard_project_setup()

set(TRANSLATION_TARGET_DIR share/packagesearch/translations)
set(PLUGIN_TARGET_DIR lib/packagesearch)


add_subdirectory(app/src)
add_subdirectory(plugins/aptplugin)
add_subdirectory(plugins/debtagsplugin)
add_subdirectory(plugins/filenameplugin)
add_subdirectory(plugins/orphanplugin)
add_subdirectory(plugins/screenshotplugin)

set(SOURCE_ICON_DIR app/icons)
set(TARGET_ICON_DIR share/pixmaps/packagesearch)
install(FILES
    ${SOURCE_ICON_DIR}/install-package.png
    ${SOURCE_ICON_DIR}/remove-package.png
    ${SOURCE_ICON_DIR}/clear.png
    ${SOURCE_ICON_DIR}/forward.png
    ${SOURCE_ICON_DIR}/packagesearch.png
    ${SOURCE_ICON_DIR}/back.png
    DESTINATION ${TARGET_ICON_DIR}
)

install(FILES
    ${SOURCE_ICON_DIR}/packagesearch.png
    ${SOURCE_ICON_DIR}/packagesearch.xpm
    DESTINATION share/pixmaps
)

install(FILES
    packagesearch.desktop
    DESTINATION share/applications
)

set(SOURCE_DOC_DIR doc)
set(TARGET_DOC_DIR share/doc/packagesearch) 
install(FILES
    README.md
    TODO
    ${SOURCE_DOC_DIR}/content.html
    DESTINATION ${TARGET_DOC_DIR}
)


install(FILES
    packagesearch.desktop
    DESTINATION share/applications
)


# Legacy in case we need it
## add standard Debian flags
#QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CPPFLAGS)
#QMAKE_CXXFLAGS_RELEASE += $$system(dpkg-buildflags --get CXXFLAGS)
#QMAKE_LFLAGS += $$system(dpkg-buildflags --get LDFLAGS)


#isEmpty(USE_KDE_LIBS){
    #message("USE_KDE_LIBS not set, assuming false by default")
    #USE_KDE_LIBS = false
#}
#contains(USE_KDE_LIBS, true){
    #message("KDE support enabled")
    #INCLUDEPATH += /usr/include/kde
    #LIBS += -lkdecore
    #DEFINES += __USE_KDE_LIBS
#}


## build a library from the packagesearch application here, to allow
## plugins to use the library for their test cases
#testlib {
    #OBJECTS_DIR = .obj_debug
    #DEFINES += __DEBUG
	 #message("generating test library")
    #TEMPLATE = lib
    #QMAKE_MAKEFILE = Makefile.testlib
    #SOURCES -= main.cpp
    #INCLUDEPATH += .moc/ 
    ## object files for libraries are build differently from applications
    ## thus we require another object dir
    ## we do not distinguish between debug and release here
    #OBJECTS_DIR = .obj_test
#}

# from old Makefile

#test: build-test run-test

#build-test: debug
	#( cd src ; $(QMAKE) $(QMAKE_ARGS) "CONFIG+= testlib" ; make $(MAKE_ARGS) -f Makefile.testlib)
	#( cd test-src ; $(QMAKE) $(QMAKE_ARGS) ; make $(MAKE_ARGS))
	#( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS)  plugins-test.pro ; make $(MAKE_ARGS) -f Makefile.test)

#run-test: build-test
	#( cd test-src ; export LD_LIBRARY_PATH=../src ; ./run-tests )
	#( cd src ; export LD_LIBRARY_PATH=.:plugins ; plugins/aptplugin/run-tests )
	
#clean-test:
	#( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) "CONFIG+= testlib" ; make -f src/Makefile.testlib clean )
	#make -f src/Makefile.test clean
	#make -f src/plugins/Makefile.test clean
	#rm -f src/Makefile.testlib
	#rm -f src/Makefile.test
