=== debian/changelog ===
packagesearch (2.8.0) unstable; urgency=low

  * updated to QT6
  * switched to CMake build system
  * dropped dependency to tagcoll

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 Sep 2022 17:23:39 +0200
