=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: packagesearch
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Mesing <ben@debian.org>
-Build-Depends: debhelper (>= 10.8), libept-dev (>= 1.0.9), libept-dev (<< 2), qtbase5-dev, qttools5-dev-tools, docbook-to-man, pkg-config, libwibble-dev (>= 1.0), libwibble-dev (<< 2.0), libtagcoll2-dev (>= 2.0), libtagcoll2-dev (<< 2.1), libxapian-dev, libapt-pkg-dev
-Standards-Version: 4.1.0
+Maintainer: Benjamin Mesing <ben@debian.org>
+Build-Depends: cmake (>=3.23), debhelper (>= 13), libept-dev (>= 1.0.9), libept-dev (<< 2), libxapian-dev (>= 1.4.0), libxapian-dev (<<2), libapt-pkg-dev, qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkg-config, cmake (>= 3.10), zlib1g-dev
+Standards-Version: 4.6.1
 Vcs-Git: https://git.code.sf.net/p/packagesearch/git
 
 Package: packagesearch
