## packagesearch 2.8.1

=== debian/changelog ===
packagesearch (2.8.1) unstable; urgency=medium

  * updated copyright to GPL-3 
    - removed spanish translation because I could not reach copyright
      holder  
  * introduced machine readable copyright file
  * Copyright fixes Closes: #1050896

 -- Benjamin Mesing <ben@debian.org>  Sun, 07 Jan 2024 12:45:11 +0100
