## packagesearch 2.8.1build3

=== plugins/debtagsplugin/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)

set(PLUGIN_NAME "debtagsplugin")

pkg_check_modules(LIBEPT libept)

include_directories(${PROJECT_SOURCE_DIR}/app/src)

add_library(${PLUGIN_NAME} SHARED 
    debtagsplugin.cpp 
    debtagsplugincontainer.cpp 
    relatedplugin.cpp 
    selectioninputanddisplay.cpp 
    debtagspluginfactory.cpp 
    debtagssettingswidget.cpp 
    relatedfeedbackwidget.cpp 
    relatedinput.cpp 
    tagchooserwidget.cpp 
    choosentagsdisplay.cpp 
    vocabularymodel.cpp 
    selectedtagsview.cpp 
    unselectedtagsview.cpp 
    filterselectedproxymodel.cpp 
    filterhiddenproxymodel.cpp 
    emptytagfilter.cpp 
    debtagshelper.cpp
    taglistproxymodel.h
    debtagssettingswidget.ui 
    choosentagsdisplay.ui 
    relatedfeedbackwidget.ui 
    relatedinput.ui 
    tagchooserwidget.ui 
)
 
qt_add_translations(${PLUGIN_NAME} TS_FILES 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
)

target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})

install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
install(FILES 
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
    DESTINATION ${TRANSLATION_TARGET_DIR}
)
