=== debian/rules ===
#!/usr/bin/make -f


# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt6

%:
	dh $@ 

override_dh_auto_build:
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1
	dh_auto_build
	# not yet ready for release - no popcon data available
	# rm -f src/plugins/libpopconplugin.so -> not build anyways

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/packagesearch.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/packagesearch.1

# do not run Make test because it is currently broken
override_dh_auto_test:
