## packagesearch 2.8.2ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
 project(packagesearch)
 
 
-find_package(Qt6 REQUIRED COMPONENTS Core)
+find_package(Qt6 REQUIRED COMPONENTS Core LinguistTools)
+
+#qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
 
 # specify the C++ standard
 set(CMAKE_CXX_STANDARD 17)
