=== debian/changelog ===
packagesearch (2.8.2ubuntu1) oracular; urgency=medium

  * Ignore qt_standard_project_setup with arguments, FTBFS
    (available from qt6 5.7)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 18:25:16 +0200

packagesearch (2.8.2) unstable; urgency=low

  * switched to libapt because libept is buggy and is not actively
    maintained any longer

 -- Benjamin Mesing <ben@debian.org>  Sat, 25 May 2024 19:34:01 +0200
