## packagesearch 2.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 
 find_package(Qt6 REQUIRED COMPONENTS Core LinguistTools)
 
-#qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
+# can be used only starting qt6.7
+# qt_standard_project_setup(I18N_TRANSLATED_LANGUAGES de)
+qt_standard_project_setup()
 
-# specify the C++ standard
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
 
@@ -22,8 +23,6 @@
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-qt_standard_project_setup()
 
 set(TRANSLATION_TARGET_DIR share/packagesearch/translations)
 set(PLUGIN_TARGET_DIR lib/packagesearch)
