=== app/src/CMakeLists.txt ===
--- 
+++ 
@@ -92,10 +92,12 @@
     settingsdlg.ui
 )
 
+# does not work -> maybe only in QT 6.7?
+#set_source_files_properties(packagesearch_de.ts
+#    PROPERTIES OUTPUT_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/translationsxx")
 
-qt_add_translations(packagesearch TS_FILES 
-    ${PROJECT_SOURCE_DIR}/translations/packagesearch_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/packagesearch_es.ts
+qt_add_translations(packagesearch 
+    TS_FILES ${PROJECT_SOURCE_DIR}/translations/packagesearch_de.ts 
 )
 
 target_link_libraries(packagesearch PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
@@ -108,7 +110,6 @@
 
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/packagesearch_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/packagesearch_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )
