=== plugins/debtagsplugin/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,9 @@
     filterhiddenproxymodel.cpp 
     emptytagfilter.cpp 
     debtagshelper.cpp
+    packageutils.h
+    debtagshelper.h
+    debtagsplugin.h
     taglistproxymodel.h
     debtagssettingswidget.ui 
     choosentagsdisplay.ui 
@@ -35,7 +38,6 @@
  
 qt_add_translations(${PLUGIN_NAME} TS_FILES 
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
 )
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
@@ -45,6 +47,5 @@
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )
