=== plugins/screenshotplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
  
 qt_add_translations(${PLUGIN_NAME} TS_FILES 
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
-    ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_es.ts
 )
 
 target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
@@ -25,6 +24,5 @@
 install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGIN_TARGET_DIR})
 install(FILES 
     ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_de.qm
-    ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}_es.qm
     DESTINATION ${TRANSLATION_TARGET_DIR}
 )
