=== debian/changelog ===
packagesearch (2.8.3) unstable; urgency=medium

  * fixed build problem by using correct version of qt_standard_project_setup() 
    Closes: #1072806 (thanks Yue Gui)

 -- Benjamin Mesing <ben@debian.org>  Fri, 09 Aug 2024 17:01:46 +0200
