## packagesearch 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,6 @@
 
 add_subdirectory(app/src)
 add_subdirectory(plugins/aptplugin)
-add_subdirectory(plugins/debtagsplugin)
 add_subdirectory(plugins/filenameplugin)
 add_subdirectory(plugins/orphanplugin)
 add_subdirectory(plugins/screenshotplugin)
