=== plugins/orphanplugin/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,6 @@
 find_package(Qt6 REQUIRED COMPONENTS Widgets Xml LinguistTools)
 
 set(PLUGIN_NAME "orphanplugin")
-
-pkg_check_modules(LIBEPT libept)
 
 include_directories(${PROJECT_SOURCE_DIR}/app/src)
 
@@ -21,9 +19,7 @@
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
 )
 
-target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
 target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
-target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})
 
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES
