=== debian/changelog ===
packagesearch (2.9.0) unstable; urgency=medium

  * changed app to no longer rely on libapt, libept, debtags et al

 -- Benjamin Mesing <ben@debian.org>  Sun, 09 Mar 2025 16:14:22 +0100
