=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <ben@debian.org>
Build-Depends: cmake (>=3.23), debhelper (>= 13), qt6-base-dev (>= 6.3), qt6-tools-dev (>= 6.3), qt6-base-dev-tools (>= 6.3), docbook-to-man, pkgconf, cmake (>= 3.10), zlib1g-dev
Standards-Version: 4.7.2
Vcs-Git: https://git.code.sf.net/p/packagesearch/git

Package: packagesearch
Architecture: any
Depends: apt (>= 0.6.46.1), xterm, ${shlibs:Depends}, ${misc:Depends}
Recommends: apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including screenshots and the files within a package.
 .
 It is possible to install or remove packages.
