=== app/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 find_package(PkgConfig REQUIRED)
 find_package(Qt6 REQUIRED COMPONENTS Widgets Xml Network LinguistTools)
-
-pkg_check_modules(LIBEPT libept)
 
 add_executable(packagesearch 
     action.cpp
@@ -39,6 +37,8 @@
     packagedisplaywidget.h
     packagenameplugin.cpp
     packagenameplugin.h
+    packagename.cpp
+    packagename.h
     packagenotfoundexception.cpp
     packagenotfoundexception.h
     packagesearchaboutdlg.cpp
@@ -60,10 +60,12 @@
     processcontainer.h
     progressdisplaydlg.cpp
     progressdisplaydlg.h
+    runcommand.h
     runcommand.cpp
     runcommandforoutput.cpp
     runcommandforoutput.h
-    runcommand.h
+    runcommandforparsing.h
+    runcommandforparsing.cpp
     runcommandinwindow.cpp
     runcommandinwindow.h
     runcommandinxterm.cpp
@@ -102,7 +104,6 @@
 
 target_link_libraries(packagesearch PRIVATE Qt6::Widgets Qt6::Xml Qt6::Network)
 target_link_libraries(packagesearch PRIVATE ${CMAKE_DL_LIBS})
-target_link_libraries(packagesearch PRIVATE ${LIBEPT_LIBRARIES})
 
 target_link_options(packagesearch PRIVATE "LINKER:-export-dynamic" "LINKER:--no-add-needed")
