=== plugins/filenameplugin/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,7 @@
     ${PROJECT_SOURCE_DIR}/translations/${PLUGIN_NAME}_de.ts 
 )
 
-target_link_libraries(${PLUGIN_NAME} PRIVATE apt-pkg)
 target_link_libraries(${PLUGIN_NAME} PRIVATE Qt6::Widgets Qt6::Xml)
-target_link_libraries(${PLUGIN_NAME} PRIVATE ${LIBEPT_LIBRARIES})
 
 install(TARGETS ${PLUGIN_NAME} DESTINATION  ${PLUGIN_TARGET_DIR})
 install(FILES
