=== debian/changelog ===
packagesearch (2.10.1) unstable; urgency=medium

  * removed deborphan from recommends 

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 May 2025 18:43:29 +0200

packagesearch (2.10.0) unstable; urgency=medium

  * removed orphan plugin, since deborphan was removed from debian 
    (Closes: #1105916) 

 -- Benjamin Mesing <ben@debian.org>  Sun, 18 May 2025 16:39:39 +0200
