=== debian/control ===
--- 
+++ 
@@ -9,17 +9,15 @@
 Package: packagesearch
 Architecture: any
 Depends: apt (>= 0.6.46.1), xterm, ${shlibs:Depends}, ${misc:Depends}
-Recommends: apt-file, deborphan
+Recommends: apt-file
 Description: GUI for searching packages and viewing package information
  This tool is aimed to help you search the packages you need. It should
  make the task of searching a pleasant experience. 
  .
  Search can be done by 
   * pattern
-  * tags (based on the debtags system)
   * files
   * installed status
-  * orphaned packages
  Additionally a lot of information about the packages is displayed, 
  including screenshots and the files within a package.
  .
